Properties (jCharts-0.7.5 API)
Keywords: org.jCharts.properties.Properties,Properties class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.properties
Class Properties

    java.lang.Object
      |
      +--org.jCharts.properties.Properties

All Implemented Interfaces:
  HTMLTestable, java.io.Serializable

Direct Known Subclasses:
  AreaProperties, AxisProperties, AxisTypeProperties

public abstract class Properties
extends java.lang.Object
implements java.io.Serializable, HTMLTestable

See Also:
  Serialized Form

Field Summary
`private java.awt.Paint` | `backgroundPaint`
`static java.awt.Paint` | `DEFAULT_BACKGROUND_PAINT`

Constructor Summary
`Properties()`

Method Summary
`java.awt.Paint` | `getBackgroundPaint()`
`void` | `setBackgroundPaint(java.awt.Paint backgroundPaint)`
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BACKGROUND_PAINT

    public static final java.awt.Paint DEFAULT_BACKGROUND_PAINT

### backgroundPaint

    private java.awt.Paint backgroundPaint

Constructor Detail

### Properties

    public Properties()

Method Detail

### setBackgroundPaint

    public void setBackgroundPaint(java.awt.Paint backgroundPaint)

  Parameters:
    `backgroundPaint` -

### getBackgroundPaint

    public java.awt.Paint getBackgroundPaint()

  Returns:
    Paint

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Parameters:
    `htmlGenerator` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD